Consent

API enables partners to manage consent statuses for offers efficiently. Depending on the provided payload, the API supports three key actions - Consent Approval : Partner accepts the offer. Consent Denial : Partner declines the offer without conditions. Consent Denial with Counteroffer : Partner declines the offer but proposes alternative terms. API ensures seamless consent management, allowing partners to approve, reject, or negotiate offers as needed

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

1. Consent Approval

In this scenario, the partner provides consent to proceed with the current offer by setting consent to true
Our system acknowledges this approval and continues with the application process.

Request Example:

{
  "leadId": "LD1234",
  "consent": true
}

2. Consent Denial

In this scenario, the partner denies the offer by setting consent to false
Our system marks the application as expired, signalling the end of the process.

Request Example:

{
  "leadId": "LD1234",
  "consent": false
}

3. Consent Denial with a Counter Offer

In this scenario, the partner denies the original offer by setting consent to false but provides a counterOffer with new terms.
Our system accepts the counteroffer and starts a new approval process based on the proposed terms.

Request Example:

{
  "leadId": "LD1234",
  "consent": false,
  "counterOffer": {
    "amount": 50000,
    "tenure": 36,
    "interestRate": 4.5,
    "processingFeePct": 1.0,
    "convenienceFeePct": 0.5
  }
}

Points to be Noted :

  1. In Consent Denial with a Counter Offer, the status will be pulled back from "APPLICATION_APPROVED" to "APPLICATION_IN_REVIEW" then application will move forward as per new loan parameters.
  2. Consent Denial with a Counteroffer allows up to 2 iterations. If no agreement is reached within these attempts, the application struct at its current status and expires after 25 days.
  3. In the case of Consent Denial, the status will move from "APPLICATION_APPROVED" to "CLOSED".
Body Params
Headers
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json